org.apache.xmlbeans.impl.xpath.xmlbeans

## Class XmlbeansXPath

- java.lang.Object
- - org.apache.xmlbeans.impl.xpath.xmlbeans.XmlbeansXPath

All Implemented Interfaces:
  Path

    public class XmlbeansXPath
    extends Object
    implements Path

### Constructor Summary

Constructors
Constructor and Description
`XmlbeansXPath(String pathExpr, String currentVar, XPath xpath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XPathEngine` `execute(Cur c, XmlOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlbeansXPath

    public XmlbeansXPath(String pathExpr,
                         String currentVar,
                         XPath xpath)

### Method Detail

#### execute

    public XPathEngine execute(Cur c,
                               XmlOptions options)

Specified by:
  `execute` in interface `Path`